#include <msp430g2553.h>


void main(void)
{
WDTCTL = WDTPW + WDTHOLD; // Stop watchdog
P1DIR |= BIT0 + BIT6; 
P1OUT |= BIT0 + BIT6; 

TACCR0=0xFF00;
TACCTL0 = CCIE;
TACTL = TASSEL_2 + ID_2 + MC_2; // nastaveni casovace A na SMCLCK, delicka 4, neustale citani 
// povoleni preruseni

__enable_interrupt();

__bis_SR_register(LPM0 + GIE); // LPM0 with interrupts enabled

} 


// casovac TIMER0 vektor preruseni
#pragma vector=TIMER0_A0_VECTOR
__interrupt void Timer0_A0 (void)
{

P1OUT ^= BIT0 + BIT6;

}
